1. Juliano Silva

    Juliano Silva Member

    Joined:
    Oct 15, 2017
    Messages:
    159
    Likes Received:
    0
    How to resolve this error, help I

    Feb 3 20:29:14 security postfix/smtpd[2286]: connect from mail-it0-f51.google.com[209.85.214.51]
    Feb 3 20:29:14 security postfix/smtpd[2286]: 965B110A12: client=mail-it0-f51.google.com[209.85.214.51]
    Feb 3 20:29:14 security postfix/cleanup[2325]: 965B110A12: message-id=<8d1621f3ee8bd7220f8131efb95500cd@www.xxxxxx.com.br>
    Feb 3 20:29:14 security postfix/qmgr[2188]: 965B110A12: from=<bxxxxxxxx@gmail.com>, size=12506, nrcpt=1 (queue active)
    Feb 3 20:29:14 security postfix/smtpd[2286]: disconnect from mail-it0-f51.google.com[209.85.214.51] ehlo=1 mail=1 rcpt=1 data=1 quit=1 commands=5
    Feb 3 20:29:14 security postfix/lmtp[2326]: 965B110A12: to=<adrianxxo@xxxxxxxx.com.br>, relay=127.0.0.1[127.0.0.1]:10024, delay=0.2, delays=0.15/0/0.04/0, dsn=5.6.7, status=bounced (SMTPUTF8 is required, but was not offered by host 127.0.0.1[127.0.0.1])
    Feb 3 20:29:14 security postfix/qmgr[2188]: 965B110A12: removed
     
  2. Alwin

    Alwin Proxmox Staff Member
    Staff Member

    Joined:
    Aug 1, 2017
    Messages:
    1,972
    Likes Received:
    168
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. DerDanilo

    DerDanilo Member
    Proxmox Subscriber

    Joined:
    Jan 21, 2017
    Messages:
    251
    Likes Received:
    21
    @Alwin @tom
    Can this please be shipped with PMG on default? This error happens to all system that we have to setup for our customers. :-/

    How to edit the PMG templates to keep the changes after updates?
     
  4. Stoiko Ivanov

    Stoiko Ivanov Proxmox Staff Member
    Staff Member

    Joined:
    May 2, 2018
    Messages:
    800
    Likes Received:
    67
    This has been fixed for quite some time now (pmg-api version >= 5.0-75). Are you running the latest versions?

    Check out the admin-guide (or the online-help in a running PMG) : section 4.3 Configuration Templates

    Hope this helps!
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. DerDanilo

    DerDanilo Member
    Proxmox Subscriber

    Joined:
    Jan 21, 2017
    Messages:
    251
    Likes Received:
    21
    Well I am running the latest version (currently 5.1-3) but apparently the postfix templates were not updated through the update.
    I checked the PMG templates in /var/lib/pmg/templates/ and there is no such setting regarding "SMTPUTF8".

    Why weren't there any files updated if it was fixed?
    Does this mean that future updates won't contain any file and config update? What is the update good for if this doesn't work? :)

    ---

    For those without properly updates templates files here the manual fix (which I do not prefer):

    Code:
    mkdir /etc/pmg/templates
    cp /var/lib/pmg/templates/main.cf.in /etc/pmg/templates/
    echo "smtputf8_enable=no" >> /etc/pmg/templates/main.cf.in
    pmgconfig sync --restart 1
    grep -rni "utf8" /etc/postfix/main.cf
     
    #5 DerDanilo, Jan 4, 2019
    Last edited: Jan 4, 2019
  6. Stoiko Ivanov

    Stoiko Ivanov Proxmox Staff Member
    Staff Member

    Joined:
    May 2, 2018
    Messages:
    800
    Likes Received:
    67
    We did not disable SMTPUTF8 support in postfix.
    The issue got fixed by implementing and forwarding SMTPUTF8 in pmg-smtp-filter - the last commit in that series should be https://git.proxmox.com/?p=pmg-api.git;a=commit;h=4a00e01d0827522bad3fa171080d5dc20a8bc1db


    With that the workings inside of PMG should be compatible - and postfix has quite a robust heuristic whether it needs the SMTPUTF8 support in a downstream server.

    Do you have logs of cases where it does not work?
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  7. DerDanilo

    DerDanilo Member
    Proxmox Subscriber

    Joined:
    Jan 21, 2017
    Messages:
    251
    Likes Received:
    21
    I got the errormessage from one of the mails for now:

    Code:
    <*****@web.de>: SMTPUTF8 is required, but was not offered by host
    mx-ha***.web.de[212.227.*.*]
    This seems to be related to outgoing traffic?!
     
  8. Stoiko Ivanov

    Stoiko Ivanov Proxmox Staff Member
    Staff Member

    Joined:
    May 2, 2018
    Messages:
    800
    Likes Received:
    67
    Could it be that this happens when the mail contains utf-8 characters in its headers, and/or recepients unquoted?
    And that the error happens when PMG tries to deliver such a mail to web.de's MX servers?
    (See the "Using Postfix SMTPUTF8 Support" point 3 of the postfix-readme: http://www.postfix.org/SMTPUTF8_README.html)

    If that's the case I guess you have the following options:
    * get web.de to support SMTPUTF8
    * get the server, which sends via PMG to encode all headers/addresses and not use SMTPUTF8
    * disable SMTPUTF8 advertisement in PMG with the workaround you posted.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice